List context packages

Lists governed persisted context packages with stable filters, provenance, coverage, and cursor pagination.

GET/api/v1/context-engine/packages

Authorization

context-engine:readapi key scoperequired
Required scope when calling with an API key.

Query parameters

limitnumberoptional
Maximum packages, 1–100

Example: 25

cursorstringoptional
ISO timestamp cursor from next_cursor
contribution_typestringoptional
Exact contribution-type filter
providerstringoptional
Exact provider/promoter filter
statusstringoptional
Package status filter
project_idstringoptional
Only packages linked through adoption workspace to this project UUID.

Example: 24ea6df2-7f4c-4c32-9fc1-6c8a0cb5b4b2

engagement_idstringoptional
Only packages linked through project to this commercial engagement UUID.

Request

curl -X GET "https://www.digitalstack360.com/api/v1/context-engine/packages?project_id=24ea6df2-7f4c-4c32-9fc1-6c8a0cb5b4b2" \
  -H "Authorization: Bearer $DS_API_KEY"

Examples use a placeholder key from your environment. Store your key in $DS_API_KEY — never commit it.

Response

200 OK
{
  "data": [],
  "meta": {
    "total_count": 0,
    "truncated": false,
    "next_cursor": null
  }
}

Errors

401
missing_auth

No credentials provided

401
invalid_api_key

API key is invalid or revoked

400
invalid_request

Pagination or filter input is invalid

403
scope_insufficient

Key lacks context-engine:read scope